PATH='/sbin:/bin:/usr/sbin:/usr/bin'
AVREGD='avregd'
AVREGD_BIN="/usr/sbin/$AVREGD"
RUNDIR='/run'
LOCKDIR='/run/lock'
LOGDIR='/var/log'
CONF='/etc/avreg/avreg.conf'
PROFILESDIR='/etc/avreg/profiles'
DESC="AVReg surveillance system server"
DOC='/usr/share/doc/avregd/README.gz'

SUPERD='avreg-supervisor'
AVREGD_DISABLED=No

: "${NICE:=0}"

test -x $SUPERD_BIN || exit 0
test -x $AVREGD_BIN || exit 0

if [ ! "`id -u`" = 0 ]; then
   echo "WARNING: You are not the superuser root. You are assured that correctly do?" 1>&2
fi

STAT=$(which stat 2>/dev/null)
LOGGER=$(which logger 2>/dev/null)
if [ $? -eq 0 -a -n "$LOGGER" ]; then
   ERR_LOGGER="logger -p daemon.err -t $AVREGD -i"
else
   ERR_LOGGER='true'
fi

if [ -r /etc/default/avreg ]; then
   . /etc/default/avreg
fi
. /lib/lsb/init-functions

case "x$AVREGD_DISABLED" in
   x[tT][rR][uU][eE]|x[yY][Ee][Ss]|x1)
      exit 0
      ;;
esac

# Safeguard (relative paths, core dumps..)
cd /
umask 077
